platform_database.py File Reference

Go to the source code of this file.

## Classes

class | mbed_lstools.platform_database.PlatformDatabase

## Namespaces

| mbed_lstools.platform_database

## Variables

| mbed_lstools.platform_database.unicode = str
| mbed_lstools.platform_database.logger = logging.getLogger("mbedls.platform_database")
| mbed_lstools.platform_database.LOCAL_PLATFORM_DATABASE = join(user_data_dir("mbedls"), "platforms.json")
| mbed_lstools.platform_database.LOCAL_MOCKS_DATABASE = join(user_data_dir("mbedls"), "mock.json")
dictionary | mbed_lstools.platform_database.DEFAULT_PLATFORM_DB